# WorkshopTasker

Allows for managing order tasks and imported products for a small workshop.

*A college database project*

# Running

The project was tested with the nodejs version v18.16.0. It may not work with newer versions of nodejs.

Dev dependencies are required. `npm install -D`

Project uses Oracle MySQL as a database store. It uses environment variables for the connection settings. All provided variables below are required.

| Environment variable | Description       |
|----------------------|-------------------|
| `DB_HOST`            | Database host     |
| `DB_PORT`            | Database port     |
| `DB_USER`            | Database user     |
| `DB_PASSWORD`        | Database password |
| `DB_SCHEMA`          | Database schema   |

After setting variables, you can run the project using `npx nuxi dev` or `npx nuxi preview`.
